# TargetMachine

interface TargetMachine

Represents a combination of operating system and cpu architecture that a variant might be built for.

#### Since

5.1

#### Inheritors

TargetMachineBuilder

## Functions

getArchitecture
Link copied to clipboard
abstract fun getArchitecture(): MachineArchitecture
Returns the target architecture
getOperatingSystemFamily
Link copied to clipboard
abstract fun getOperatingSystemFamily(): OperatingSystemFamily
Returns the target operating system